Index: trunk/sources/HeuristicLab.Selection/3.3/BestSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/BestSelector.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/BestSelector.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Selection/3.3/ConditionalSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/ConditionalSelector.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/ConditionalSelector.cs	(revision 4068)
@@ -20,11 +20,9 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Selection;
+using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Parameters;
 
 namespace HeuristicLab.Selection {
Index: trunk/sources/HeuristicLab.Selection/3.3/GenderSpecificSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/GenderSpecificSelector.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/GenderSpecificSelector.cs	(revision 4068)
@@ -20,15 +20,11 @@
 #endregion
 
-using System.Collections.Generic;
-using System.Linq;
-using HeuristicLab.Common;
+using System;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Operators;
-using HeuristicLab.Parameters;
-using HeuristicLab.PluginInfrastructure;
-using System;
 
 namespace HeuristicLab.Selection {
@@ -106,5 +102,5 @@
 
       femaleSelector.OperatorParameter.ActualName = "FemaleSelector";
-      
+
       maleSelector.OperatorParameter.ActualName = "MaleSelector";
 
Index: trunk/sources/HeuristicLab.Selection/3.3/LeftReducer.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/LeftReducer.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/LeftReducer.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System.Collections.Generic;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
Index: trunk/sources/HeuristicLab.Selection/3.3/LinearRankSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/LinearRankSelector.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/LinearRankSelector.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Selection/3.3/MergingReducer.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/MergingReducer.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/MergingReducer.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System.Collections.Generic;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
Index: trunk/sources/HeuristicLab.Selection/3.3/OffspringSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/OffspringSelector.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/OffspringSelector.cs	(revision 4068)
@@ -21,6 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
@@ -107,5 +105,5 @@
         OffspringPopulationWinnersParameter.ActualValue = successfulOffspring;
       } else successfulOffspring = OffspringPopulationWinnersParameter.ActualValue;
-      
+
       int worseOffspringNeeded = (int)((1 - successRatio) * populationSize) - (population.Count - successfulOffspring.Value);
       int successfulOffspringAdded = 0;
@@ -150,5 +148,5 @@
         scope.SubScopes.Remove(parents);
         scope.SubScopes.Remove(offspring);
-        while(parents.SubScopes.Count > 0)
+        while (parents.SubScopes.Count > 0)
           scope.SubScopes.Add(parents.SubScopes[0]);
 
Index: trunk/sources/HeuristicLab.Selection/3.3/ProportionalSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/ProportionalSelector.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/ProportionalSelector.cs	(revision 4068)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Selection/3.3/RandomReplacer.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/RandomReplacer.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/RandomReplacer.cs	(revision 4068)
@@ -20,8 +20,6 @@
 #endregion
 
-using System;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
Index: trunk/sources/HeuristicLab.Selection/3.3/RandomSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/RandomSelector.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/RandomSelector.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System.Collections.Generic;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
@@ -46,6 +45,7 @@
       set { CopySelectedParameter.Value = value; }
     }
-    
-    public RandomSelector() : base() {
+
+    public RandomSelector()
+      : base() {
       Parameters.Add(new ValueParameter<BoolValue>("CopySelected", "True if the selected sub-scopes should be copied, otherwise false.", new BoolValue(true)));
       Parameters.Add(new ValueLookupParameter<IntValue>("NumberOfSelectedSubScopes", "The number of sub-scopes which should be selected."));
Index: trunk/sources/HeuristicLab.Selection/3.3/Reducer.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/Reducer.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/Reducer.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System.Collections.Generic;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Operators;
Index: trunk/sources/HeuristicLab.Selection/3.3/RightReducer.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/RightReducer.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/RightReducer.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System.Collections.Generic;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
Index: trunk/sources/HeuristicLab.Selection/3.3/Selector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/Selector.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/Selector.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System.Collections.Generic;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Operators;
Index: trunk/sources/HeuristicLab.Selection/3.3/SingleObjectiveSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/SingleObjectiveSelector.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/SingleObjectiveSelector.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Selection/3.3/StochasticSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/StochasticSelector.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/StochasticSelector.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
Index: trunk/sources/HeuristicLab.Selection/3.3/StochasticSingleObjectiveSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/StochasticSingleObjectiveSelector.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/StochasticSingleObjectiveSelector.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
Index: trunk/sources/HeuristicLab.Selection/3.3/TournamentSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/TournamentSelector.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/TournamentSelector.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
@@ -40,5 +39,6 @@
     }
 
-    public TournamentSelector() : base() {
+    public TournamentSelector()
+      : base() {
       Parameters.Add(new ValueLookupParameter<IntValue>("GroupSize", "The size of the tournament group.", new IntValue(2)));
     }
Index: trunk/sources/HeuristicLab.Selection/3.3/WorstReplacer.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/WorstReplacer.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/WorstReplacer.cs	(revision 4068)
@@ -20,8 +20,6 @@
 #endregion
 
-using System;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
Index: trunk/sources/HeuristicLab.Selection/3.3/WorstSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Selection/3.3/WorstSelector.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Selection/3.3/WorstSelector.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
